[arch-commits] CVS update of extra/daemons/samba (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Fri Nov 16 02:58:53 EST 2007


    Date: Friday, November 16, 2007 @ 02:58:53
  Author: tpowa
    Path: /home/cvs-extra/extra/daemons/samba

Modified: PKGBUILD (1.97 -> 1.98)

'upgpkg: update to new version'


----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)


Index: extra/daemons/samba/PKGBUILD
diff -u extra/daemons/samba/PKGBUILD:1.97 extra/daemons/samba/PKGBUILD:1.98
--- extra/daemons/samba/PKGBUILD:1.97	Thu Oct 25 09:05:51 2007
+++ extra/daemons/samba/PKGBUILD	Fri Nov 16 02:58:53 2007
@@ -1,18 +1,19 @@
-# $Id: PKGBUILD,v 1.97 2007/10/25 13:05:51 tpowa Exp $
+# $Id: PKGBUILD,v 1.98 2007/11/16 07:58:53 tpowa Exp $
 # Maintainer: judd <jvinet at zeroflux.org>
 pkgname=samba
-pkgver=3.0.26a
+pkgver=3.0.27A
 # We use the 'A' to fake out pacman's version comparators.  Samba chooses
 # to append 'a','b',etc to their subsequent releases, which pamcan
 # misconstrues as alpha, beta, etc.  Bad samba!
-_realver=3.0.26a
-pkgrel=4
+_realver=3.0.27
+pkgrel=1
 pkgdesc="Tools to access a server's filespace and printers via SMB"
 arch=(i686 x86_64)
 url="http://www.samba.org"
 license=('GPL')
 backup=(etc/logrotate.d/samba etc/pam.d/samba etc/samba/smb.conf etc/xinetd.d/swat etc/conf.d/samba)
-depends=('db>=4.6' 'popt' 'libcups' 'acl' 'libldap' 'smbclient>=3.0.26a' 'libcap' 'heimdal>=1.0.1' 'pam' 'fam')
+depends=('db>=4.6' 'popt' 'libcups' 'acl' 'libldap' 'smbclient>=3.0.27A' 'libcap' 'heimdal>=1.0.1' 'pam' 'fam')
+options=(!makeflags)
 source=(http://us1.samba.org/samba/ftp/${pkgname}-${_realver}.tar.gz \
         no-clients.patch samba samba.logrotate swat.xinetd samba.pam samba.conf.d)
 
@@ -29,7 +30,7 @@
               --with-fhs --with-pam --with-ads --with-acl-support \
               --without-smbmount --without-libsmbclient \
               --localstatedir=/var
-  make -j1 || return 1
+  make || return 1
   mkdir -p $startdir/pkg/var/log/samba
   mkdir -p $startdir/pkg/etc/samba/private
   chmod 700 $startdir/pkg/etc/samba/private
@@ -71,7 +72,7 @@
   rm $startdir/pkg/usr/sbin/mount.cifs
   rm $startdir/pkg/usr/sbin/umount.cifs
 }
-md5sums=('16b47e6add332e5ac4523fc88c381d06'
+md5sums=('cff7854ea5947882954f30d2657e1a9d'
          '9fc80d2b5210a94b386ea0904337f5bd'
          'e93533fa2296c07c1f645dfdd373657f'
          '5697da77590ec092cc8a883bae06093c'




More information about the arch-commits mailing list